Web lists-archives.com

Bug#895211: ITP: libdist-zilla-plugin-metaprovides-package-perl -- Extract namespaces/version from traditional packages for provides




Package: wnpp
Owner: Alex Muntada <alexm@xxxxxxxxxx>
Severity: wishlist
X-Debbugs-CC: debian-devel@xxxxxxxxxxxxxxxx, debian-perl@xxxxxxxxxxxxxxxx

* Package name    : libdist-zilla-plugin-metaprovides-package-perl
  Version         : 2.004003
  Upstream Author : Kent Fredric <kentnl@xxxxxxxx>
* URL             : https://metacpan.org/release/Dist-Zilla-Plugin-MetaProvides-Package
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : Extract namespaces/version from traditional packages for provides

This is a Dist::Zilla|Dist::Zilla Plugin that populates the provides property
of META.json and META.yml by absorbing it from your shipped modules, in a
manner similar to how PAUSE itself does it.

This allows you to easily create an authoritative index of what module
provides what version in advance of PAUSE indexing it, which PAUSE in turn
will take verbatim.

This module requires Dist::Zilla::Role::ModuleMetadata which isn't
currently packaged.

The package will be maintained under the umbrella of the Debian Perl Group.

--
Generated with the help of dpt-gen-itp(1) from pkg-perl-tools.

Attachment: signature.asc
Description: PGP signature